summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-p2p/dbhub/dbhub-0.451-r1.ebuild')
-rw-r--r--net-p2p/dbhub/dbhub-0.451-r1.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/net-p2p/dbhub/dbhub-0.451-r1.ebuild b/net-p2p/dbhub/dbhub-0.451-r1.ebuild
new file mode 100644
index 00000000000..9b7009cd96e
--- /dev/null
+++ b/net-p2p/dbhub/dbhub-0.451-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=2
+inherit autotools eutils
+
+DESCRIPTION="Hub software for Direct Connect, fork of opendchub"
+HOMEPAGE="http://www.dbhub.org"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tbz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="debug perl nls switch_user"
+
+DEPEND="perl? ( dev-lang/perl )
+ switch_user? ( sys-libs/libcap )"
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-gentoo.patch \
+ "${FILESDIR}"/${PN}-no-dynaloader.patch \
+ "${FILESDIR}"/${PN}-fix-buffer-overflows.patch
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ $(use_enable nls) \
+ $(use_enable perl) \
+ $(use_enable switch_user) \
+ $(use_enable debug)
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+}